Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.inputHtml
Class InputHtmlTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.custom.inputHtml.InputHtmlTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class InputHtmlTag
extends UIComponentTagBase

Version:
  $Revision: 278713 $ $Date: 2005-09-05 06:55:04 -0400 (Mon, 05 Sep 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InputHtmlTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAddKupuLogo(java.lang.String addKupuLogo)`
`void` | `setAllowEditSource(java.lang.String allowEditSource)`
`void` | `setAllowExternalLinks(java.lang.String allowExternalLinks)`
`void` | `setDisplayValueOnly(java.lang.String displayValueOnly)`
`void` | `setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)`
`void` | `setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)`
`void` | `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` | `setFallback(java.lang.String fallback)`
`void` | `setImmediate(java.lang.String immediate)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(java.lang.String required)`
`void` | `setShowAllToolBoxes(java.lang.String showAllToolBoxes)`
`void` | `setShowCleanupExpressionsToolBox(java.lang.String showCleanupExpressionsToolBox)`
`void` | `setShowDebugToolBox(java.lang.String showDebugToolBox)`
`void` | `setShowImagesToolBox(java.lang.String showImagesToolBox)`
`void` | `setShowLinksToolBox(java.lang.String showLinksToolBox)`
`void` | `setShowPropertiesToolBox(java.lang.String showPropertiesToolBox)`
`void` | `setShowTablesToolBox(java.lang.String showTablesToolBox)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setType(java.lang.String type)`
`void` | `setValidator(java.lang.String validator)`
`void` | `setValueChangeListener(java.lang.String valueChangeListener)`
`void` | `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputHtmlTag

    public InputHtmlTag()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### setStyle

    public void setStyle(java.lang.String style)

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### setFallback

    public void setFallback(java.lang.String fallback)

### setType

    public void setType(java.lang.String type)

### setAllowEditSource

    public void setAllowEditSource(java.lang.String allowEditSource)

### setAllowExternalLinks

    public void setAllowExternalLinks(java.lang.String allowExternalLinks)

### setAddKupuLogo

    public void setAddKupuLogo(java.lang.String addKupuLogo)

### setShowAllToolBoxes

    public void setShowAllToolBoxes(java.lang.String showAllToolBoxes)

### setShowPropertiesToolBox

    public void setShowPropertiesToolBox(java.lang.String showPropertiesToolBox)

### setShowLinksToolBox

    public void setShowLinksToolBox(java.lang.String showLinksToolBox)

### setShowImagesToolBox

    public void setShowImagesToolBox(java.lang.String showImagesToolBox)

### setShowTablesToolBox

    public void setShowTablesToolBox(java.lang.String showTablesToolBox)

### setShowCleanupExpressionsToolBox

    public void setShowCleanupExpressionsToolBox(java.lang.String showCleanupExpressionsToolBox)

### setShowDebugToolBox

    public void setShowDebugToolBox(java.lang.String showDebugToolBox)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

### setDisplayValueOnly

    public void setDisplayValueOnly(java.lang.String displayValueOnly)

### setDisplayValueOnlyStyle

    public void setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)

### setDisplayValueOnlyStyleClass

    public void setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)

### setImmediate

    public void setImmediate(java.lang.String immediate)

### setRequired

    public void setRequired(java.lang.String required)

### setValidator

    public void setValidator(java.lang.String validator)

### setValueChangeListener

    public void setValueChangeListener(java.lang.String valueChangeListener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD